$Quartier:("bas":rgb(165, 108, 42),"aventurier":rgb(145, 0, 0),"marchand":rgb(44, 141, 44),"noble":rgb(202, 202, 29));

@each $key,$value in $Quartier {
    li[class='#{$key}']:hover{
        background: #{$value};
    }
}